Index: bidspace/src/main/java/geniusweb/bidspace/AllBidsList.java
===================================================================
--- bidspace/src/main/java/geniusweb/bidspace/AllBidsList.java	(revision 10)
+++ bidspace/src/main/java/geniusweb/bidspace/AllBidsList.java	(revision 24)
@@ -26,6 +26,8 @@
 
 	/**
-	 * A list containing all bids in the space. This is an ImmutableList so it
-	 * can contain all bids without pre-computing them.
+	 * This object contains s list containing all bids in the space. This is an
+	 * ImmutableList so it can contain all bids without pre-computing them.
+	 * 
+	 * @param domain the {@link Domain}
 	 * 
 	 */
Index: bidspace/src/main/java/geniusweb/bidspace/AllPartialBidsList.java
===================================================================
--- bidspace/src/main/java/geniusweb/bidspace/AllPartialBidsList.java	(revision 10)
+++ bidspace/src/main/java/geniusweb/bidspace/AllPartialBidsList.java	(revision 24)
@@ -32,4 +32,5 @@
 	 * pre-computing them.
 	 * 
+	 * @param domain the {@link Domain}
 	 */
 	public AllPartialBidsList(Domain domain) {
Index: bidspace/src/main/java/geniusweb/bidspace/BidsWithUtility.java
===================================================================
--- bidspace/src/main/java/geniusweb/bidspace/BidsWithUtility.java	(revision 10)
+++ bidspace/src/main/java/geniusweb/bidspace/BidsWithUtility.java	(revision 24)
@@ -43,5 +43,5 @@
 	 * Default constructor, uses default precision 6. This value seems practical
 	 * for the common range of issues, utilities and weights. See
-	 * {@link #BidsWithUtil(LinearAdditive, int)} for more details on the
+	 * {@link #BidsWithUtility(LinearAdditive, int)} for more details on the
 	 * precision.
 	 * 
@@ -73,6 +73,4 @@
 	 *                  digits should be feasible; for 9 issues, 6 digits may be
 	 *                  the maximum.
-	 *                  <p>
-	 * 
 	 */
 	public BidsWithUtility(LinearAdditive space, int precision) {
@@ -138,6 +136,6 @@
 	 * utilities in given range.
 	 * 
-	 * @param n    the number of {@link #issueRanges} to consider, we consider
-	 *             0..n here. The recursion decreases n until n=0
+	 * @param n    the number of issueRanges to consider, we consider 0..n here.
+	 *             The recursion decreases n until n=0
 	 * @param goal the minimum and maximum utility required of the bids. to be
 	 *             included (both ends inclusive)
Index: bidspace/src/main/java/geniusweb/bidspace/Interval.java
===================================================================
--- bidspace/src/main/java/geniusweb/bidspace/Interval.java	(revision 10)
+++ bidspace/src/main/java/geniusweb/bidspace/Interval.java	(revision 24)
@@ -16,9 +16,9 @@
 
 	/**
-	 * AN interval [min,max]. If min>max, then there are no values in this
+	 * AN interval [min,max]. If min &gt; max, then there are no values in this
 	 * interval.
 	 * 
-	 * @param min
-	 * @param max
+	 * @param min the minimum value of the interval
+	 * @param max the maximum value of the interval
 	 */
 	public Interval(BigDecimal min, BigDecimal max) {
@@ -49,5 +49,5 @@
 	 * 
 	 * @param value the value to test
-	 * @return true iff min<=value<=max
+	 * @return true iff min &le; value &le; max
 	 */
 	public boolean contains(BigDecimal value) {
@@ -66,6 +66,7 @@
 	/**
 	 * 
-	 * @param minMax another minMax to intersect with
-	 * @return intersection with other. returns null if intersection is empty.
+	 * @param other another {@link Interval} intersect with
+	 * @return intersection of this with other. returns null if intersection is
+	 *         empty.
 	 */
 	public Interval intersect(Interval other) {
Index: bidspace/src/main/java/geniusweb/bidspace/IssueInfo.java
===================================================================
--- bidspace/src/main/java/geniusweb/bidspace/IssueInfo.java	(revision 10)
+++ bidspace/src/main/java/geniusweb/bidspace/IssueInfo.java	(revision 24)
@@ -26,4 +26,14 @@
 	private final Map<Value, BigDecimal> weightedUtils;
 
+	/**
+	 * 
+	 * @param name      the issue name
+	 * @param values    the {@link ValueSet} of the issue
+	 * @param utils     the {@link ValueSetUtilities} of the issue profile
+	 * @param weight    the weight of the {@link ValueSetUtilities}
+	 * @param precision the precision to compute with. Basically the number of
+	 *                  decimal places used for the computations.
+	 * 
+	 */
 	public IssueInfo(String name, ValueSet values, ValueSetUtilities utils,
 			BigDecimal weight, int precision) {
@@ -45,5 +55,5 @@
 	 * 
 	 * @return weighted minimum and maximum utility achievable with this issue,
-	 *         rounded to the {@link #precision}.
+	 *         rounded to the requested precision.
 	 */
 	public Interval getInterval() {
@@ -53,5 +63,6 @@
 	/**
 	 * 
-	 * @param isMax
+	 * @param isMax if true the max {@link Value} is returned, else the min is
+	 *              returned.
 	 * @return the extreme value, either the minimum if isMax=false or maximum
 	 *         if isMax=true
@@ -86,5 +97,5 @@
 	 * @param val the issue value to be evaluated
 	 * @return weighted utility of given value, rounded to nearest value with
-	 *         {@link #precision} digits.
+	 *         the requested precision number of digits.
 	 */
 	public BigDecimal getWeightedUtil(Value val) {
